import Qt 4.7
import com.nokia.meego 1.0

import "UIConstants.js" as UI

PageStackWindow {
    id: rootWindow

    function usbConnected()
    {
        console.log("usbConected() in main.qml")
        connectionScreen.usbStatusVal = "Connected"
        connectionScreen.usbImageSource = "Images/usb_ene.png"

    }
    function usbNotConnected()
    {
        console.log("usbNotConected() in main.qml")
        connectionScreen.usbStatusVal = "Not Connected"
        connectionScreen.usbImageSource = "Images/usb_dis.png"
    }
    function getUsbIpFromQt(usbIp,usbMask)
    {
        connectionScreen.ipVal = usbIp
        connectionScreen.usbMaskVal = usbMask
    }
    function getPasswdFromQt(passwdVar)
    {
        console.log("getPasswdFromQt")
        connectionScreen.passwordVal = passwdVar
    }
    //WLAN
    function getWlanIpFromQt(wlanIp,wlanMask)
    {
        connectionScreen.ipValWlan = wlanIp
        connectionScreen.wlanMaskVal = wlanMask
    }
    //update ip,mask,peerip for edit screen
    function updateDetailsToEdit(ipAdd,netmask,peerip,dhcpSelectVal)
    {
        connectionScreen.ipVal = ipAdd;
        connectionScreen.usbMaskVal = netmask;
        connectionScreen.hostIp = peerip;
        connectionScreen.dhcpSelect = dhcpSelectVal;
        if(connectionScreen.dhcpSelect == true)
        {
            connectionScreen.dhcpSelectStatus=true
        }
        else
        {
            connectionScreen.dhcpSelectStatus=false
        }
    }

    function loadSdkConnectivityScreen()
    {
        console.log("--In ConectionScreen.qml - -loadSdkConectivityScreen() --");
        console.log("before --loadingToConnectivity="+connectionScreen.loadingToConnectivity);
        connectionScreen.loadingToConnectivity = true
        console.log("after --loadingToConnectivity="+connectionScreen.loadingToConnectivity);
    }

    function loadSdkConnectivityScreenFromEdit()
    {
        console.log("in loadSdkConectivityScreenFromEdit");
        connectionScreen.loadingSdkToEdit = true;
    }

    function setUserPasswordFromQt(temp_password)
    {
        console.log("in setUserPasswordFromt.. temp_password = "+temp_password)
        connectionScreen.userLabelPassword = temp_password;
    }

    initialPage:

        Page{
        id:connectionScreen
        orientationLock: PageOrientation.LockPortrait
        tools: navigationToolbar

        anchors.margins: UI.HEADER_DEFAULT_TOP_SPACING_PORTRAIT

        property string connectionType: ""
        property string ipVal: "198.168.2.15"
        property string usbMaskVal: "255.255.255.0"
        property string hostIp: "198.162.2.14"
        property string ipValWlan: "0.0.0.0"
        property string wlanMaskVal: "255.255.255.0"
        property string passwordVal: "-"
        property bool dhcpSelect: false
        property bool userPassword: false

        /* Using in ModuleToLoadScreen Page*/
        property string usbStatusVal: "Not Connected"
        property string usbImageSource: ""

        /* Using in EditSettingsScreen Page*/
        property bool dhcpSelectStatus : true

        /*Common height Val*/
        property int commonHeight: 20

        /* To load SDK Connectivity Details screen from Loading screen*/
        property bool loadingToConnectivity: false

        /*To Load Edit screen from SDK Connectivity screen*/
        property bool loadingSdkToEdit : false

        /*To display user password as *** */
        property string userLabelPassword: ""

        /*For VNC switch status & VNC logs*/
        property bool vncSwitchStatus : false
        property bool previousVncStatus : false
        property string vncTempOutput: ""

        PageTitle {
            id: titleName
            anchors.top: parent.top
            text: "Select Connection"
        }

        ToolBarLayout {
            id: navigationToolbar
        }

        //Button implementation

        Column {
            id:buttonColumn
            anchors.top:titleName.bottom
            anchors.topMargin:connectionScreen.commonHeight
            anchors.horizontalCenter:parent.horizontalCenter
            spacing: 20

            Button {
                id:usbButton
                text:"USB"
                onClicked: {
                    console.log("USB Button"); connectionScreen.connectionType="USB";
                    myWindow.setUSBConfig();
                    //myWindow.getPassword();
                    rootWindow.pageStack.push("qrc:/qml_files/LoadingScreen.qml")

                }
            }
            Button {
                id:wlanButton
                text:"WLAN"
                onClicked:{
                    console.log("WLAN Button"); connectionScreen.connectionType="WLAN"; myWindow.setWLANConfig();
                    myWindow.getWlanIp();
                    rootWindow.pageStack.push("qrc:/qml_files/SdkConnectivityScreen.qml")

                }

            }
        }
    }
    /* For Black theme*/
    Component.onCompleted: {
        theme.inverted = true;
    }

}
