import Qt 4.7
import com.nokia.meego 1.0
import QtQuick 1.1

import "UIConstants.js" as UI

Page {
    id:sdkConnectivityScreen
    orientationLock: PageOrientation.LockPortrait
    tools: navigationToolbar

    anchors.margins: UI.HEADER_DEFAULT_TOP_SPACING_PORTRAIT

    Component.onCompleted: {
        theme.inverted = true
    }

    ToolBarLayout {
        id: navigationToolbar
        ToolIcon { iconId: "toolbar-back";
            onClicked:{
                console.log("Back Button");
                pageStack.pop(1);
            }
        }
    }

    PageTitle {
        id: pageTitle
        anchors.top: parent.top
        text: "Connectivity Details"
    }

    /* Showing USB status with icon*/
    Image {
        id: usbIcon
        source: connectionScreen.usbImageSource
        smooth: true
        anchors.top: pageTitle.bottom
        anchors.right: parent.right
        anchors.margins: UI.HEADER_DEFAULT_TOP_SPACING_PORTRAIT
        visible: (connectionScreen.connectionType == "USB")
    }

    Column {
        id: pageContent
        anchors.top: pageTitle.bottom
        width: parent.width
        anchors.topMargin: UI.HEADER_DEFAULT_TOP_SPACING_PORTRAIT
        anchors.bottomMargin: UI.HEADER_DEFAULT_BOTTOM_SPACING_PORTRAIT
        spacing: UI.HEADER_DEFAULT_TOP_SPACING_PORTRAIT

        Column {
            spacing: 20
            Column {
                visible: (connectionScreen.connectionType == "USB")
                LabelHeader {
                    id: usbCableConnectedText_1
                    text: "USB cable"
                }
                LabelValue {
                    id: usbStatus
                    text: connectionScreen.usbStatusVal
                    color: connectionScreen.usbStatusVal=="Connected"? "#FFFFFF" :"#fe3200"
                }

            }
            Column {
                LabelHeader {
                    id: connectionText
                    text: "Connection"
                }

                LabelValue {
                    id: connectionTypeID
                    text: connectionScreen.connectionType
                }
            }
            Column {
                LabelHeader {
                    id: ipAddressText
                    text: "IP Address"
                }
                LabelValue {
                    id: ipAddress
                    text: connectionScreen.connectionType=="USB"? (connectionScreen.usbStatusVal=="Connected"? connectionScreen.ipVal : "0.0.0.0"):connectionScreen.ipValWlan
                }
            }

            Column {
                LabelHeader {
                    id: passwordText
                    text: "Password"
                }
                LabelValue {
                    id: passowrd
                    text: /*connectionScreen.userPassword? connectionScreen.userLabelPassword :*/ connectionScreen.passwordVal
                }
            }

            Rectangle {
                height: 1
                width: pageContent.width
                color: "#797979"
            }

            Column {
                id:sdkConnectivityButtonRow
                anchors.horizontalCenter: parent.horizontalCenter
                spacing: 20
                Button {
                    id:editSettingsButton
                    text:"Edit Settings"
                    enabled:true
                    onClicked:{
                        console.log("Edit Settings"); myWindow.updateEdit();
                        connectionScreen.loadingSdkToEdit = false;
                        rootWindow.pageStack.push("qrc:/qml_files/EditSettingsScreen.qml");
                    }
                }
                Button {
                    id:vncServerButton
                    text:"VNC"
                    enabled: true
                    onClicked:{
                        console.log("In Qml - VNC server button");
                        rootWindow.pageStack.push("qrc:/qml_files/VNCServerScreen.qml");
                    }
                }
            }

        }


    }


}
