/*! \file   SectionHeader.qml
\brief      SectionHeader QML element
\author     Nokia Corporation
\date       2011
\par        License Notes

Copyright (C) 2011 Nokia Corporation. All rights reserved.
Nokia and Nokia Connecting People are registered trademarks of Nokia Corporation.
Other product and company names mentioned herein may be trademarks or trade names
of their respective owners.

Subject to the conditions below, you may, without charge:

Use, copy, modify and/or merge copies of this software and
associated content and documentation files (the ?Software?)

Publish, distribute, sub-license and/or sell new software
derived from or incorporating the Software.

Some of the documentation, content and/or software maybe licensed under open source
software or other licenses. To the extent such documentation, content and/or software
are included, licenses and/or other terms and conditions shall apply in addition and/or
instead of this notice. The exact terms of the licenses, disclaimers, acknowledgements
and notices are reproduced in the materials provided.

This file, unmodified, shall be included with all copies or substantial portions
of the Software that are distributed in source code form.

The Software cannot constitute the primary value of any new software derived
from or incorporating the Software.

Any person dealing with the Software shall not misrepresent the source of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*/
import QtQuick 1.1
import com.nokia.meego 1.0

import "UIConstants.js" as UIConstants

Item {
    id:textblock
    property string text : ""

    width: parent.width
    height: 20

    // Section separator image
    Image {
        anchors {
            right: sectionName.left
            left: parent.left
            verticalCenter: sectionName.verticalCenter
            rightMargin: 24
        }
        source: "image://theme/meegotouch-groupheader" + (theme.inverted ? "-inverted" : "") + "-background"
    }

    // Section name
    Label {
        id: sectionName
        anchors {
            verticalCenter: parent.verticalCenter
            top: parent.top
            right: textblock.right
        }
        font {
            family: UIConstants.FONT_FAMILY
            weight: Font.Bold
            pixelSize: UIConstants.FONT_XSMALL
        }

        text: textblock.text
        color: "#8c8c8c"
    }
}
